//definimos pines del motor Delantero Derecho
const int MotorDD1 = 34;
const int MotorDD2 = 35;
const int MotorDDPWM = 12;
//definimos pines del motor Delantero Izquierdo
const int MotorDI1 = 32;
const int MotorDI2 = 33;
const int MotorDIPWM = 11;

void setup() {
  //Establecemos los pines de los motoresIzquierdo como salidas
  pinMode(MotorDI1, OUTPUT);
  pinMode(MotorDI2, OUTPUT);
  pinMode(MotorDD1, OUTPUT);
  pinMode(MotorDD2, OUTPUT);
}

void loop() {
  //Giro en sentido antihorario durante 2s --> CCW
  digitalWrite(MotorDD1, HIGH);
  digitalWrite(MotorDD2, LOW);
  analogWrite(MotorDDPWM, 255);
  digitalWrite(MotorDI1, HIGH);
  digitalWrite(MotorDI2, LOW);
  analogWrite(MotorDIPWM, 255);
  delay(2000); // <-- CCW
  //Giro en sentido horario durante 2s --> CW
  digitalWrite(MotorDD1, LOW);
  digitalWrite(MotorDD2, HIGH);
  analogWrite(MotorDDPWM, 255);
  digitalWrite(MotorDI1, LOW);
  digitalWrite(MotorDI2, HIGH);
  analogWrite(MotorDIPWM, 255);
  delay(2000); //<-- CW
  //Stop durante 1s --> STOP
  analogWrite(MotorDDPWM, 0);
  analogWrite(MotorDIPWM, 0);
  delay(1000); //<-- STOP
}
